clear all;
close all;
clc;

mydirN = 'E:/normalSperm/';
mydirABN = 'E:/abnormalSperm/';

PICS=dir([mydirABN,'*.jpg']);
n=size(PICS);
n=n(1);
imageNum = n;
cntpic=1;

normal_location3 = strcat(mydirABN,'extracted');%new address for sperm heads

mkdir(normal_location3);

for i=1:n
    if ~PICS(i).isdir
        original_sperm_image = imread(strcat(mydirABN,PICS(i).name));
    end
    I = rgb2gray(original_sperm_image);
    level = graythresh(I);
    bw = im2bw(I,level);
    [B,L] = bwboundaries(bw,4);
    [Ilength Iwidth] = size(I);
    new_image = zeros(60,60);
    new_image(:,:) = 255;
    new_image = uint8(new_image);
    new_image = original_sperm_image;
    for j = 1:Ilength
        for k = 1:Iwidth
            if L(j,k) == 1;
                new_image(j,k,:) = 255;
            end
        end
    end    
    imwrite(new_image,strcat(strcat(normal_location3,'/'),PICS(i).name));
end